sikulix (1.1.1-7) unstable; urgency=medium

  * Build-Depends: libcommons-net-java (closes: #882976)
  * Priority: optional
  * debian/copyright: switch to https for copyright format URL
  * Bump standards-Version to 4.1.1

 -- Gilles Filippini <pini@debian.org>  Sat, 02 Dec 2017 15:40:57 +0100

sikulix (1.1.1-6) unstable; urgency=medium

  * debian/rules: fix previous fix (closes: #881572)

 -- Gilles Filippini <pini@debian.org>  Mon, 13 Nov 2017 10:53:41 +0100

sikulix (1.1.1-5) unstable; urgency=medium

  * debian/rules: fix FTBFS when building arch-indep only

 -- Gilles Filippini <pini@debian.org>  Sun, 12 Nov 2017 22:40:36 +0100

sikulix (1.1.1-4) unstable; urgency=medium

  * Build-Depends: libopencv-dev (>= 3.2.0+dfsg-4~) to benefit from
    its maven integration and drop hardcoded dependency on
    libopencv3.2-java (closes: #877075)
  * Benefit from the jython maven integration as well
  * Update patches accordingly
  * New patch javadoc-configuration.patch: give up building the doc via
    a direct use of javadoc, and patch maven config to have it working
    properly (closes: #873703)

 -- Gilles Filippini <pini@debian.org>  Sat, 11 Nov 2017 16:41:47 +0100

sikulix (1.1.1-3) unstable; urgency=medium

  * Build against OpenCV 3.2 (closes: #877073)
  * New patch opencv-3.patch
  * libsikulix-api-java: Depends: libopencv3.2-java

 -- Gilles Filippini <pini@debian.org>  Wed, 18 Oct 2017 01:08:25 +0200

sikulix (1.1.1-2) unstable; urgency=medium

  * Build-Depends: replace libasm3-java with libasm-java to support
    jython 2.7 at run-time

 -- Gilles Filippini <pini@debian.org>  Sun, 01 Oct 2017 14:32:34 +0200

sikulix (1.1.1-1) unstable; urgency=medium

  * New upstream release
  * Disable VNC feature: no TigerVNC java client available in Debian
  * Disable Android feature: no jadb java library available in Debian
  * Drop patches:
    - no-vnc-package.patch
    - opencv-3.1.patch
  * New patches:
    - jxgrabkey-not-embedded.patch
    - no-jadb.patch
    - no-vnc.patch
  * Refresh other patches

  * Build-Depends: libjline-java, libasm3-java to fix FTBFS against
    jython-2.7

 -- Gilles Filippini <pini@debian.org>  Sun, 17 Sep 2017 16:34:07 +0200

sikulix (1.1.0-2) unstable; urgency=medium

  * Improve no-maven-repo-dependencies.patch and dependency-opencv.patch,
    and add new patches jython-sikulix-module-path.patch and
    debian-java-parameters.patch so that sikulix can be launched using
    jarwrapper
  * debian/control:
    - Depends: jarwrapper
    - Versioned Depends: jython (>= 2.5.3-12) to have #845270 and #845360
      fixed
    - Fix Vcs-Browser field
    - Bump Standards-Version to 3.9.8 (no changes)

 -- Gilles Filippini <pini@debian.org>  Mon, 28 Nov 2016 23:29:17 +0100

sikulix (1.1.0-1) unstable; urgency=medium

  * New patch opencv-3.1.patch to cope with opencv-3.1 transition
  * Upload to unstable (closes: #832634)

 -- Gilles Filippini <pini@debian.org>  Thu, 17 Nov 2016 21:12:17 +0100

sikulix (1.1.0-1~exp3) experimental; urgency=medium

  * debian/control: drop versioned Build-Depends on default-jdk (<< 2:1.8~)
    because it is now the default.
  * debian/rules: add -I$(JAVA_HOME)/include/linux to CPP_FLAGS to
    workaround #760301.

 -- Gilles Filippini <pini@debian.org>  Fri, 18 Mar 2016 22:49:10 +0100

sikulix (1.1.0-1~exp2) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * New patches:
    - no-vnc-package.patch: drop dependency against non-free
      VNC package (removed from upstream source tree)
    - fix-log-parameters-order.patch: fix wrong parameters order in
      string formating.
  * Drop patches:
    - jruby-compat-1.9.patch (not needed anymore)
    - fix-image-path.patch (applied upstream).
  * Update launcher debian/wrapper/sikulix.
  * Build-Depends: default-jdk (<< 2:1.8~):
    FTBFS with openjdk-8-jdk because of #760301.

 -- Gilles Filippini <pini@debian.org>  Fri, 06 Nov 2015 16:09:15 +0100

sikulix (1.1.0~beta4-2) experimental; urgency=medium

  * debian/copyright: add missing license for source files
    Tesseract4SikuliX/src/main/java/org/sikuli/tesseract/Tess*.java
    coming from the tess4j project (closes: #767101).

 -- Gilles Filippini <pini@debian.org>  Thu, 30 Oct 2014 21:36:58 +0100

sikulix (1.1.0~beta4-1) experimental; urgency=medium

  * New upstream release.
  * Yet another source tree restructuration.
  * Patches updated accordingly.
  * Packages' names changed to reflect the new upstream layout:
    - sikulix: everything needed to support any script running plus the
      IDE
    - libsikulixapi-java: the Java level API (including the thin layers
      to support external Jython and JRuby usages)
  * Only one launcher to run the IDE or an existing sikuli script.

  * New patches:
    - dependency-opencv.patch: use Debian opencv-java instead of the
      upstream embedded one.
    - fix-image-path.patch: backport of an upstream bug fix related to
      the images path.
  * Bump Standards-Version to 3.9.6 (no change).

 -- Gilles Filippini <pini@debian.org>  Sun, 26 Oct 2014 22:42:01 +0100

sikulix (1.1.0~beta3-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update patch native.patch to deal with a couple more
    FileManager.loadLibrary calls.
  * New patch no-gem-maven-plugin.patch to disable embedding ruby gems
    into SikuliX's jar files.
  * Upstream switched back from testng to junit4.

 -- Gilles Filippini <pini@debian.org>  Mon, 06 Oct 2014 16:20:39 +0200

sikulix (1.1.0~beta2-1) experimental; urgency=medium

  * New upstream release:
    - improved multi-screen support
    - Settings.OcrLanguage is now accepted by Tesseract (after using
      org.sikuli.script.TextRecognizer.reset())
    - images can now be loaded from jars (see JavaDocs::ImagePath)
    - Many bug fixes

 -- Gilles Filippini <pini@debian.org>  Mon, 08 Sep 2014 19:40:02 +0200

sikulix (1.1.0~beta1-1) experimental; urgency=medium

  * New upstream release
  * New all in one upstream GitHub project (see d/README.source)
  * Project name officially changed from Sikuli to SikuliX
    Changing package's name accordingly
  * Updated d/copyright:
    Jygments4SikuliX/src includes code from the Jygments project

 -- Gilles Filippini <pini@debian.org>  Sun, 29 Jun 2014 21:49:46 +0200

sikuli (1.0.1-2) experimental; urgency=low

  * Simplify custom pom files used to resolv dependencies.
  * Clean-up dependencies for sikuli-ide.
  * Versioned the dependencies between sikuli packages (closes: #731740).
  * Wrappers: fix classpath to work with OpenJDK 7.

 -- Gilles Filippini <pini@debian.org>  Mon, 16 Dec 2013 19:27:24 +0100

sikuli (1.0.1-1) experimental; urgency=low

  * New upstream release.

  * Upstream Vcs moved to github and split into five repositories.
    See debian/README.source for gory details
  * Build process mavenized. Required a bunch of new patches:
    - autotoolize-vision-proxy
    - parent-pom.patch
    - preserve-source-utf-8.patch
    - basics-exclude-windows-mac.patch
    - no-maven-repo-dependencies.patch
    - resources-out-of-jar.patch
  * New patches:
    - printhelp.patch: fix bug in the sikuli help text formatting
    - add-classpath: define classpath into generated jar files
  * Refreshed patches:
    - install-extension.patch
    - native.patch
    - setTextAndMnemonic.patch
    - tess3.patch
  * Dropped patches (not needed anymore):
    - executable-wrappers.patch
    - fix-cmake-sikuli-ide.patch
    - gcc-4.7.patch
    - tessdata.patch
    - use-java-libs-from-debian.patch
  * De-activated patch (not needed but kept around just in case):
    - no-opencv-surf-module.patch
  * Update manpages
  * Remove un-needed lintian overrides
  * Re-write launchers for sikuli and sikuli-ide
  * Update debian/copyright

  * Bump Standards-Version to 3.9.5

 -- Gilles Filippini <pini@debian.org>  Mon, 04 Nov 2013 09:08:50 +0100

sikuli (1.0~x~rc3.tesseract3-dfsg1-7) unstable; urgency=low

  * Revert fix for java.lang.UnsatisfiedLinkError which was arch dependent
    while sikuli-ide is arch all /o\. By the way the corresponding bug
    (#714393) is now tagged wontfix since it's sun-java6 related.
  * debian/control: fix VCS fields
  * Add description for patch setTextAndMnemonic.patch

 -- Gilles Filippini <pini@debian.org>  Sat, 13 Jul 2013 18:44:41 +0200

sikuli (1.0~x~rc3.tesseract3-dfsg1-6) unstable; urgency=low

  [tony mancill <tmancill@debian.org>]
  * fix typo in d/control (Closes: #682011)

  [Gilles Filippini <pini@debian.org>]
  * new patch:
    + setTextAndMnemonic.patch: replace deprecated
      DefaultComponentFactory#setTextAndMnemonic with
      MnemonicUtils#configure (Closes: #711310)
  * Updated patch:
    + executable-wrappers.patch: add /usr/lib/<multiarch-triplet>/jni to
      LD_LIBRARY_PATH (fix java.lang.UnsatisfiedLinkError for JXGrabKey)

 -- Gilles Filippini <pini@debian.org>  Sat, 08 Jun 2013 00:28:24 +0200

sikuli (1.0~x~rc3.tesseract3-dfsg1-5) unstable; urgency=low

  * New patch no-opencv-surf-module.patch: 
    Remove unsused portions of source code with dependency on the opencv
    SURF module which isn't shipped anymore starting with opencv 2.4
    because of being non-free (Closes: #678230)

 -- Gilles Filippini <pini@debian.org>  Mon, 25 Jun 2012 12:33:23 +0200

sikuli (1.0~x~rc3.tesseract3-dfsg1-4) unstable; urgency=low

  * d/control: Depends: libopencv-dev to have OpenCVConfig.cmake (fix FTBFS)
  * Fix patch executable-wrappers.patch:
    + Remove /usr/share/java/jna-posix.jar from the classpath so that it
      doesn't take precedence on /usr/share/java/jnr-posix.jar required
      by jython (Closes: #675160)
  * d/README.Debian:
    + Add a note about Sun Java 6 and multiarch (workaround for
      java.lang.UnsatisfiedLinkError with java-6-sun)

 -- Gilles Filippini <pini@debian.org>  Mon, 04 Jun 2012 18:39:45 +0200

sikuli (1.0~x~rc3.tesseract3-dfsg1-3) unstable; urgency=low

  * New patch:
    + gcc-4.7.patch: Fix FTBFS with gcc-4.7 (Closes: #671990)

 -- Gilles Filippini <pini@debian.org>  Fri, 11 May 2012 23:51:05 +0200

sikuli (1.0~x~rc3.tesseract3-dfsg1-2) unstable; urgency=low

  * d/control:
    + sikuli-ide: Add missing dependency libswing-layout-java (fix
      ClassDefNotFound exception when opening the preferences dialog)
    + libsikuli-script-java: Add dependency tesseract-ocr-eng as a
      workaround for there is no way for the user to change the language
      setting for tesseract
    + Bump Standards-Version to 3.9.3
  * d/copyright: Update URL of the Machine-readable format specification
    version 1.0
  * New patch:
    + tessdata.patch: Use the default path for tesseract data, overridable
      with the TESSDATA_PREFIX environment variable (Closes: #667513,
      LP: #976352, LP: #979524)

 -- Gilles Filippini <pini@debian.org>  Mon, 16 Apr 2012 11:21:08 +0200

sikuli (1.0~x~rc3.tesseract3-dfsg1-1) unstable; urgency=low

  * Merge with the feature/tesseract3 branch from upstream
  * debian/control: Build-Depends: libtesseract-dev instead of
    deprecated tesseract-ocr-dev (Closes: #659598)
  * The upstream source code repository moved to github

  * New patch:
    + tess3.patch:
      - Fix build with tesseract3
      - use OCR strategie OEM_TESSERACT_ONLY for now. Upstream has
        reported a 4x slowdown when using OEM_TESSERACT_CUBE_COMBINED
  * Patch fix-cmake-sikuli-ide.patch:
    + Add a DEP3 style description
  * debian/copyright:
    + Update DEP5 Format URL
    + Bump copyright years

 -- Gilles Filippini <pini@debian.org>  Wed, 15 Feb 2012 15:17:58 +0100

sikuli (1.0~x~rc3-dfsg1-3) unstable; urgency=low

  [ Torsten Werner ]
  * Improve executable-wrappers.patch to add asm3-commons.jar to
    runtime CLASSPATH. (Closes: #643563)

 -- Gilles Filippini <pini@debian.org>  Thu, 10 Nov 2011 22:37:06 +0100

sikuli (1.0~x~rc3-dfsg1-2) unstable; urgency=low

  * New patch fix-cmake-sikuli-ide.patch:
    + Fix random FTBFS due to missing inter target dependency

 -- Gilles Filippini <pini@debian.org>  Tue, 04 Oct 2011 23:32:13 +0200

sikuli (1.0~x~rc3-dfsg1-1) unstable; urgency=low

  * New upstream release:
    + Sikuli IDE
      - Auto indentation
      - New settings in preferences: expand tab, tab width, font style, font
        size
      - locale setting
      - ESC cancels screen capture mode
      - Sikuli code (including images) can be copied across tabs
      - Sikuli code can be copied as plain text to other programs/text
        editors
      - Window size and opened files are remembered and restored
        automatically
    + Sikuli Script
      - App class supports Linux now (wmctrl and xdotool required.)
      - Java APIs are more consistent with Jython's
      - New hotkey API allows the user to register hotkeys that trigger a
        Sikuli function
      - A parameter of Sikuli's vision engine MinTargetSize can be changed to
        adjust the robustness/speed of the engine
      - Pure color templates matching
      - popup() accepts an optional parameter for setting the title of the
        dialog
      - Some error messages are improved
    + Bug fixes
      - Closes: #642794.
      - Many bugs in the matching preview window are fixed - not hanging
        anymore, preview is consistent with the result of findAll.

  * orig.tar.gz:
    + drop extensions which should ship into their own source packages since
      they have their own versioning
  * debian/control
    + Multi-Arch support
    + libsikuli-script-java: Depends wmctrl, xdotool
  * debian/rules
    + Multi-Arch support
  * debian/copyright, debian/README.source:
    + More accurate information about how to download the source
    + Updated removed parts list

 -- Gilles Filippini <pini@debian.org>  Tue, 04 Oct 2011 00:57:09 +0200

sikuli (1.0~x~rc2-dfsg1-2) unstable; urgency=low

  * debian/control, debian/copyright:
    + Fix pkg-java-maintainers address. 
  * debian/copyright:
    + Update to DEP5 format specification rev174

 -- Gilles Filippini <pini@debian.org>  Sat, 16 Apr 2011 12:48:15 +0200

sikuli (1.0~x~rc2-dfsg1-1) unstable; urgency=low

  * New upstream release:
    + Redesigned user interface for Sikuli-IDE
    + Support for extensions for Sikuli Script

  * debian/control, debian/copyright:
    The package is now maintained by the Debian Java maintainers Team

 -- Gilles Filippini <pini@debian.org>  Sat, 16 Apr 2011 00:23:53 +0200

sikuli (1.0~x~rc1-dfsg1-2) unstable; urgency=low

  * debian/control: enforce java6 dependency using a versioned [Build-]Depends
    against default-jdk and default-jre (>= 1:1.6) instead of depending on
    java6-sdk and java6-runtime. 

 -- Gilles Filippini <pini@debian.org>  Mon, 24 Jan 2011 01:07:30 +0100

sikuli (1.0~x~rc1-dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #578125)

 -- Gilles Filippini <pini@debian.org>  Thu, 20 Jan 2011 22:37:52 +0100
